Results 1 to 10 of 10

Thread: Float denormalized operand

  1. #1
    Join Date
    Feb 2011
    Beans
    7

    Float denormalized operand

    I was able to run Liberty Basic under Wine in Ubuntu 10.10 but unable in 11.04. I removed and reinstalled Liberty Basic but when I attempt to run it I get a Runtime Error: Float denormalized operand warning. Has something changed? Will Liberty Basic no longer run under Wine?

  2. #2
    Join Date
    Nov 2006
    Beans
    27

    Re: Float denormalized operand

    Yes, Ubuntu 11.04 shipped with a broken libfontconfig which causes that bug with some Wine applications. Please vote for https://bugs.launchpad.net/ubuntu/+s...ig/+bug/783622

    And here is how you downgrade to the working Maverick libfontconfig: http://ubuntuforums.org/showpost.php...81&postcount=8

  3. #3
    Join Date
    Feb 2011
    Beans
    7

    Re: Float denormalized operand

    I can't believe all the programs on this forum that working under Wine with 11.04. Surely Ubuntu can create a patch or revision to correct the libfontconfig problem.

  4. #4
    Join Date
    Oct 2008
    Location
    Cambridge, UK
    Beans
    223

    Exclamation Re: Float denormalized operand

    Quote Originally Posted by natjudnet View Post
    I can't believe all the programs on this forum that working under Wine with 11.04. Surely Ubuntu can create a patch or revision to correct the libfontconfig problem.
    Everyone following the development of Unity knew that a lot of stuff was going to break in Ubuntu - with the 11.04 release...
    Don't forget it is an intermediate development release - so you takes your chances!!
    A lot of development time was poured into the new Window Manager this cycle. I've heard that quite a lot of bugs are still present in the final release candidate (which is fairly unusual for Canonical).

    I'll be sticking with Gnome 2.3.x with Linux-Mint and Zoron-OS myself - I think I've nothing against Unity - but I don't want to test out alpha-build stuff!

    Bob

  5. #5
    Join Date
    Feb 2011
    Beans
    7

    Smile Re: Float denormalized operand

    Well, I finally got my Windows programs running under Wine in 11.04. I just used Synaptics to remove Wine 1.3 and replace it with Wine 1.2. I was considering rolling back to Ubuntu 10.10 but didn't want the hassle. I still don't like the Unity package but am using the classic desktop with 11.04 and have everything running smoothly. With the classic desktop unsupported in 11.10, I will not be upgrading.

  6. #6
    Join Date
    Oct 2008
    Location
    Cambridge, UK
    Beans
    223

    Re: Float denormalized operand

    @natjudnet

    I've been playing about with my laptop and tried installing the latest Linux-Mint 11 Gnome release (based off 11.04). I'll keep an eye out for this problem - useful to know about in advance!

    I'm puzzled as to why you don't just follow the fix in that bug report to revert to the 10.10 libfontconfig1.so shared library file? I am sure we could give you a hand with that here - if you get stuck!

    I'm not a big fan of using the 1.2.xx release of Wine - you can't submit bugs Upstream and the code is frozen in a state that is many months old (with no bugfix backports).

    Bob

  7. #7
    Join Date
    Feb 2011
    Beans
    7

    Re: Float denormalized operand

    It just appeared that a lot of people were having difficulty after attempting the change but I'm still willing to give it a try. Have you installed libfontconfig1.so on your system?

    Claude
    Last edited by natjudnet; July 11th, 2011 at 02:34 PM.

  8. #8
    Join Date
    Feb 2011
    Beans
    7

    Re: Float denormalized operand

    Bob,

    Wine still wasn't working perfectly so I bit the bullet and followed your lead. My distro now has that clean minty flavor. (After verifying that Mint would not be incorporating Unity, I switched to Mint 10.) I like it and Wine works finer than fine wine!

  9. #9
    Join Date
    Oct 2008
    Location
    Cambridge, UK
    Beans
    223

    Re: Float denormalized operand

    Hi natjudnet

    Glad to hear your experience of Linux-Mint is positive! I wasn't really suggesting you switch over though!

    Of course I suppose the big question is what Clement Lefebvre will do with Linux-Mint 12... Will he go with Gnome 3 (as originally planned for Linux-Mint 11)?

    Bob

  10. #10
    Join Date
    Feb 2011
    Beans
    7

    Re: Float denormalized operand

    I dunno'. But for now, Wine woks and Unity is gone. I'll cross the next bridge when I get to it.

    Thanks,
    Claude

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •